---
title: Apache AsterixDB
layout: default
---

<div class="row">
 <div class="col-md-9 col-centered">
   <div class="well text-center"><p class="lead text-center" markdown="1">__Apache AsterixDB__ is an open source Big Data Management System (BDMS).</p>
   </div>
 </div>
</div>


<div class="row"><div class="col-md-3 col-centered text-center" markdown="1">
## Feature Overview

----

</div></div>

<div class="row" class="text-center">
<div class="col-md-5 col-md-offset-1" markdown="1">
<div class="panel panel-primary" markdown="1">
<h4 class="panel-heading">Data feeds</h4>

<div class="panel-body">

<div class="col-md-2" markdown="1">
<i class="fa fa-sitemap fa-4x pull-left "></i>
</div>

<div class="col-md-10" markdown="1">
Process incoming live data, and store it- seamlessly.
</div>

</div>
</div>
</div>

<div class="col-md-5" markdown="1">
<div class="panel panel-primary" markdown="1">
<h4 class="panel-heading">Scalable runtime</h4>

<div class="panel-body">

<div class="col-md-2" markdown="1">
<i class="fa fa-signal fa-4x pull-left"></i>
</div>

<div class="col-md-10" markdown="1">
AsterixDB is built on Hyracks, a parallel dataflow engine scale tested on hundreds of nodes.
</div>

</div>
</div>
</div>

</div>

<div class="row" class="text-center">

<div class="col-md-5 col-md-offset-1" markdown="1">
<div class="panel panel-primary" markdown="1">
<h4 class="panel-heading">External data</h4>

<div class="panel-body">
<div class="col-md-2" markdown="1">
<i class="fa fa-database fa-4x pull-left"></i>
</div>

<div class="col-md-10" markdown="1">
Query and index your data in HDFS alongside data stored in AsterixDB.
</div>

</div>
</div>
</div>

<div class="col-md-5" markdown="1">
<div class="panel panel-primary" markdown="1">
<h4 class="panel-heading">Semi-structured data model</h4>

<div class="panel-body">

<div class="col-md-2" markdown="1">
<i class="fa fa-table fa-4x pull-left"></i>
</div>

<div class="col-md-10" markdown="1">
Give your data as much or as little schema as you want, in one system.
</div>

</div>
</div>
</div>

</div>


<div class="row" class="text-center">

<div class="col-md-5 col-md-offset-1" markdown="1">
<div class="panel panel-primary" markdown="1">
<h4 class="panel-heading">Log-structured storage</h4>

<div class="panel-body">
<div class="col-md-2" markdown="1">
<i class="fa fa-flask fa-4x pull-left"></i>
</div>

<div class="col-md-10" markdown="1">
AsterixDB uses state of the art indexing techniques to support high speed data ingestion.
</div>

</div>
</div>

</div>

<div class="col-md-5" markdown="1">
<div class="panel panel-primary" markdown="1">
<h4 class="panel-heading">Rich datatypes</h4>

<div class="panel-body">

<div class="col-md-2" markdown="1">
<i class="fa fa-gear fa-4x pull-left"></i>
</div>

<div class="col-md-10" markdown="1">
AsterixDB extends JSON datatypes with support for spatial and temporal data.
</div>

</div>
</div>
</div>

</div>


<div class="row">
</div>


<div class="row"><div class="col-md-5 col-centered text-center"  markdown="1">


## Getting Started

---

</div></div>


<div class="row">
<div class="col-md-6" markdown="1">
<!--
### Download
You can download the latest stable release here.

<p><a class="btn btn-md btn-success" href="{{ site.STABLE_DOWNLOAD_URL }}" role="button">Download AsterixDB {{ site.STABLE_VERSION }} <i class="fa fa-download fa-lg"></i></a></p>

See the installation [guide]({{ site.DOCS_BASE_URL }}/install.html), and check out [AsterixDB 101]({{ site.DOCS_BASE_URL }}/aql/primer.html) to start using AsterixDB right away.
!-->
</div>
<div class="col-md-6" markdown="1">
### Community and Support
If you have any questions, please feel free to ask on our [users](mailto:users@asterixdb.incubator.apache.org) mailing list, which you can subscribe to by sending an empty email to [users-subscribe](users-subscribe@asterixdb.incubator.apache.org). Check out the [Community]({{ site.url }}community.html) page for more details.

If you would like to know more about how to contribute to AsterixDB or any of its related components, head on over to the [Contributing]({{ site.url }}dev-setup.html) page to learn more.
</div>
</div>
